#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
  
  ofBackground(0, 0, 0);
  margin = 50;
  ofSetVerticalSync(true);
  
  for (int i = 0; i < VERTICES; i++) {
//    posX[i] = i * ( ofGetWidth() - 2*margin) / VERTICES + margin;
//    posX[i] = ( margin - ofGetWidth()/2 ) + i * ( ofGetWidth() - margin) / VERTICES;
    posX[i] = ( margin - ofGetWidth()/2 ) + i * ( ofGetWidth() -  margin) / VERTICES;
    posY[i] = 0;
  }

}

//--------------------------------------------------------------
void testApp::update(){
  
  for (int i = 0; i < VERTICES; i++) {
    posY[i] = ( 20  * sin(ofGetElapsedTimeMillis()/200.0 + 20*i) );
  }

}

//--------------------------------------------------------------
void testApp::draw(){
  
  ofPushMatrix();
    ofTranslate(ofGetWidth()/2, ofGetHeight()/2, 0);
    ofRotateY( mouseX );
//    ofRotateX(mouseY);
    
      ofNoFill();
      for (int i = 0; i < VERTICES; i++) {
        ofSetColor(255, 255, 0);
        ofCircle(posX[i], posY[i], 3);
        ofSetColor(255, 0, 255);
        if (i >= 1) {
          ofLine(posX[i-1], posY[i-1], posX[i], posY[i]);
        }
      }
    
      ofPushMatrix();
      ofTranslate(0, 0, 50);
  
        ofNoFill();
        for (int i = 0; i < VERTICES; i++) {
          ofSetColor(255, 255, 0);
          ofCircle(posX[i], -posY[i], 3);
          ofSetColor(0, 255, 255);
          if (i >= 1) {
            ofLine(posX[i-1], -posY[i-1], posX[i], -posY[i]);
          }
        }
  
      ofPopMatrix();
  
      ofPushMatrix();
      ofTranslate(0, 0, -100);
      
      ofNoFill();
      for (int i = 0; i < VERTICES; i++) {
        ofSetColor(255, 255, 0);
        ofCircle(posX[i], posY[i], 3);
        ofSetColor(255, 0, 255);
        if (i >= 1) {
          ofLine(posX[i-1], posY[i-1], posX[i], posY[i]);
        }
      }
      
      ofPopMatrix();
  
      ofPushMatrix();
      ofTranslate(0, 0, -50);
      
      ofNoFill();
      for (int i = 0; i < VERTICES; i++) {
        ofSetColor(255, 255, 0);
        ofCircle(posX[i], -posY[i], 3);
        ofSetColor(0, 255, 255);
        if (i >= 1) {
          ofLine(posX[i-1], -posY[i-1], posX[i], -posY[i]);
        }
      }
      
      ofPopMatrix();
  
  ofPopMatrix();

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

